1 Reply Latest reply on Aug 31, 2016 7:42 AM by content.librarian

    The flash row is not valid for the selected array.


      I get this error for one PSoC while using bootloader host, but can down load the identical code to a second PSoC with no problems.




      Here are my relevant sections in the PROJECT.elf file showing text, eh_frame and rodata, do not overlap with cyloadablemeta. 0x7BF0 vs 7FCO.




      Idx Name          Size      VMA       LMA       File off  Algn  Flags
        1 .text         000055a2  00002480  00002480  00002638  2**3  CONTENTS, ALLOC, LOAD, READONLY, CODE


        2 .eh_frame     00000004  00007a24  00007a24  00007bdc  2**2  CONTENTS, ALLOC, LOAD, READONLY, DATA


        3 .rodata       000001c8  00007a28  00007a28  00007be0  2**2  CONTENTS, ALLOC, LOAD, CODE


       12 .cyloadablemeta 00000040  00007fc0  00007fc0  00007e08  2**2  CONTENTS, ALLOC, LOAD, READONLY, DATA